$fn = 45;


mount_screw_dia = 11/64.0 * 25.4;
mount_screw_hole_radius = mount_screw_dia * 1.05 / 2.0;

fan_screw_hole_size = 10/64.0 * 25.4 / 2.0 * 1.08;
fan_dia = 80;
fan_hole_spacing = 71.5;
fan_buffer = (80 - fan_hole_spacing - 4.5)/2;

fan_margin = 3.8;
mount_thickness = 2.5;
wall_thickness = 4;
mount_height = 16 + mount_thickness;

plate_width = fan_margin * 2 + fan_dia ;

union(){
 translate([wall_thickness * -1, -1 *wall_thickness,0]){
  difference(){
    cube([wall_thickness,plate_width + 2*wall_thickness, mount_height]);
    translate([-1,wall_thickness,mount_height /2.0]){
    rotate([0,90,0]){
    union(){      
      translate([0,(plate_width/6.0),0]){
        cylinder(r= mount_screw_hole_radius, h = wall_thickness * 2);
      }
      
      translate([0,(plate_width * 5/6.0),0]){
        cylinder(r= mount_screw_hole_radius, h = wall_thickness * 2);
      }
      translate([0,(plate_width /2.0),0]){
        cylinder(r= mount_screw_hole_radius, h = wall_thickness * 2);
      }
    }
  }
}
  }
 } 
 
 rotate([90,0,0]){
   linear_extrude(height = wall_thickness){
    polygon(points = [[0,0], [fan_margin * 2 + fan_dia, 0], [fan_margin * 2 + fan_dia, mount_thickness], [0,mount_height]]);
   }      
 }
 
 translate([0, fan_dia + 2*fan_margin + wall_thickness,0]){
 rotate([90,0,0]){
   linear_extrude(height = wall_thickness){
    polygon(points = [[0,0], [fan_margin * 2 + fan_dia, 0], [fan_margin * 2 + fan_dia, mount_thickness], [0,mount_height]]);
   }      
 }
 }
 
difference(){
 color("blue") cube([fan_margin * 2 + fan_dia, fan_margin * 2 + fan_dia, mount_thickness]);
  union(){
    
      // fan hole 
    translate([fan_margin,fan_margin,-1]){
      translate([(fan_dia+0.5)/2,(fan_dia+0/5)/2,0]){
        cylinder(r=(fan_dia+0.5)/2, h = mount_thickness * 2);
      }
      
      translate([fan_screw_hole_size + fan_buffer,fan_screw_hole_size + fan_buffer,0]){
        cylinder(r = fan_screw_hole_size, h = mount_thickness * 2);
      }        
      translate([fan_screw_hole_size + fan_buffer + fan_hole_spacing,fan_screw_hole_size + fan_buffer,0]){
        cylinder(r = fan_screw_hole_size, h = mount_thickness * 2);
      }        
      translate([fan_screw_hole_size + fan_buffer + fan_hole_spacing,fan_screw_hole_size + fan_buffer + fan_hole_spacing,0]){
        cylinder(r = fan_screw_hole_size, h = mount_thickness * 2);
      }        
      translate([fan_screw_hole_size + fan_buffer,fan_screw_hole_size + fan_buffer + fan_hole_spacing,0]){
        cylinder(r = fan_screw_hole_size, h = mount_thickness * 2);
      }        

    }
  }
}
}

// end of the lid
